GetUser
curl --request GET \
--url https://api.siftstack.com/api/v2/users/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user": {
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>",
"isAbacEnabled": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}UserService
GetUser
Retrieves a user object.
GET
/
api
/
v2
/
users
/
{userId}
GetUser
curl --request GET \
--url https://api.siftstack.com/api/v2/users/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v2/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v2/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"user": {
"userId": "<string>",
"userName": "<string>",
"organizations": [
{
"organizationId": "<string>",
"organizationName": "<string>",
"isAbacEnabled": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I